diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-asn1-header.h ns-3.44/src/lte/model/lte-asn1-header.h
--- ns-3.43/src/lte/model/lte-asn1-header.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-asn1-header.h	2025-03-09 16:55:49.599372000 -0700
@@ -29,8 +29,8 @@
     ~Asn1Header() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -61,7 +61,7 @@
 
     /**
      * Function to write in m_serializationResult, after resizing its size
-     * \param octet bits to write
+     * @param octet bits to write
      */
     void WriteOctet(uint8_t octet) const;
 
@@ -69,35 +69,35 @@
 
     /**
      * Serialize a bool
-     * \param value value to serialize
+     * @param value value to serialize
      */
     void SerializeBoolean(bool value) const;
     /**
      * Serialize an Integer
-     * \param n value to serialize
-     * \param nmin min value to serialize
-     * \param nmax max value to serialize
+     * @param n value to serialize
+     * @param nmin min value to serialize
+     * @param nmax max value to serialize
      */
     void SerializeInteger(int n, int nmin, int nmax) const;
     // void SerializeOctetstring (std::string s) const;
     /**
      * Serialize a Sequence
-     * \param numElems element number to serialize
-     * \param nMax max value to serialize
-     * \param nMin min value to serialize
+     * @param numElems element number to serialize
+     * @param nMax max value to serialize
+     * @param nMin min value to serialize
      */
     void SerializeSequenceOf(int numElems, int nMax, int nMin) const;
     /**
      * Serialize a Choice (set of options)
-     * \param numOptions number of options
-     * \param selectedOption selected option
-     * \param isExtensionMarkerPresent true if extension mark is present
+     * @param numOptions number of options
+     * @param selectedOption selected option
+     * @param isExtensionMarkerPresent true if extension mark is present
      */
     void SerializeChoice(int numOptions, int selectedOption, bool isExtensionMarkerPresent) const;
     /**
      * Serialize an Enum
-     * \param numElems number of elements in the enum
-     * \param selectedElem selected element
+     * @param numElems number of elements in the enum
+     * @param selectedElem selected element
      */
     void SerializeEnum(int numElems, int selectedElem) const;
     /**
@@ -111,141 +111,141 @@
 
     /**
      * Serialize a bitset
-     * \param data data to serialize
+     * @param data data to serialize
      */
     template <int N>
     void SerializeBitset(std::bitset<N> data) const;
 
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     template <int N>
     void SerializeSequence(std::bitset<N> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<0> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<1> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<2> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<3> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<4> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<5> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<6> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<7> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<9> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<10> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
     /**
      * Serialize a sequence
-     * \param optionalOrDefaultMask Mask to serialize
-     * \param isExtensionMarkerPresent true if Extension Marker is present
+     * @param optionalOrDefaultMask Mask to serialize
+     * @param isExtensionMarkerPresent true if Extension Marker is present
      */
     void SerializeSequence(std::bitset<11> optionalOrDefaultMask,
                            bool isExtensionMarkerPresent) const;
 
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     template <int N>
     void SerializeBitstring(std::bitset<N> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<1> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<2> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<8> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<10> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<16> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<27> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<28> bitstring) const;
     /**
      * Serialize a bitstring
-     * \param bitstring bitstring to serialize
+     * @param bitstring bitstring to serialize
      */
     void SerializeBitstring(std::bitset<32> bitstring) const;
 
@@ -253,43 +253,43 @@
 
     /**
      * Deserialize a bitset
-     * \param data buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param data buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     template <int N>
     Buffer::Iterator DeserializeBitset(std::bitset<N>* data, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitset
-     * \param data buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param data buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitset(std::bitset<8>* data, Buffer::Iterator bIterator);
 
     /**
      * Deserialize a boolean
-     * \param value buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param value buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBoolean(bool* value, Buffer::Iterator bIterator);
     /**
      * Deserialize an integer
-     * \param n buffer to store the result
-     * \param nmin min value to serialize
-     * \param nmax max value to serialize
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param n buffer to store the result
+     * @param nmin min value to serialize
+     * @param nmax max value to serialize
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeInteger(int* n, int nmin, int nmax, Buffer::Iterator bIterator);
     /**
      * Deserialize a Choice (set of options)
-     * \param numOptions number of options
-     * \param isExtensionMarkerPresent true if extension mark is present
-     * \param selectedOption buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param numOptions number of options
+     * @param isExtensionMarkerPresent true if extension mark is present
+     * @param selectedOption buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeChoice(int numOptions,
                                        bool isExtensionMarkerPresent,
@@ -297,19 +297,19 @@
                                        Buffer::Iterator bIterator);
     /**
      * Deserialize an Enum
-     * \param numElems number of elements in the enum
-     * \param selectedElem buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param numElems number of elements in the enum
+     * @param selectedElem buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeEnum(int numElems, int* selectedElem, Buffer::Iterator bIterator);
 
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     template <int N>
     Buffer::Iterator DeserializeSequence(std::bitset<N>* optionalOrDefaultMask,
@@ -317,70 +317,70 @@
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<0>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<1>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<2>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<3>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<4>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<5>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<6>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
@@ -388,40 +388,40 @@
 
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<7>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<9>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<10>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
                                          Buffer::Iterator bIterator);
     /**
      * Deserialize a sequence
-     * \param optionalOrDefaultMask buffer to store the result
-     * \param isExtensionMarkerPresent true if Extension Marker is present
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param optionalOrDefaultMask buffer to store the result
+     * @param isExtensionMarkerPresent true if Extension Marker is present
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequence(std::bitset<11>* optionalOrDefaultMask,
                                          bool isExtensionMarkerPresent,
@@ -429,82 +429,82 @@
 
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     template <int N>
     Buffer::Iterator DeserializeBitstring(std::bitset<N>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<1>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<2>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<8>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<10>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<16>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<27>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<28>* bitstring, Buffer::Iterator bIterator);
     /**
      * Deserialize a bitstring
-     * \param bitstring buffer to store the result
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bitstring buffer to store the result
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeBitstring(std::bitset<32>* bitstring, Buffer::Iterator bIterator);
 
     /**
      * Deserialize nothing (null op)
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeNull(Buffer::Iterator bIterator);
     /**
      * Deserialize a Sequence
-     * \param numElems buffer to store the result
-     * \param nMax max value to serialize
-     * \param nMin min value to serialize
-     * \param bIterator buffer iterator
-     * \returns the modified buffer iterator
+     * @param numElems buffer to store the result
+     * @param nMax max value to serialize
+     * @param nMin min value to serialize
+     * @param bIterator buffer iterator
+     * @returns the modified buffer iterator
      */
     Buffer::Iterator DeserializeSequenceOf(int* numElems,
                                            int nMax,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-as-sap.h ns-3.44/src/lte/model/lte-as-sap.h
--- ns-3.43/src/lte/model/lte-as-sap.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-as-sap.h	2025-03-09 16:55:49.599372000 -0700
@@ -9,8 +9,8 @@
 #ifndef LTE_AS_SAP_H
 #define LTE_AS_SAP_H
 
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
 
 #include <stdint.h>
 
@@ -30,30 +30,30 @@
     virtual ~LteAsSapProvider();
 
     /**
-     * \brief Set the selected Closed Subscriber Group subscription list to be
+     * @brief Set the selected Closed Subscriber Group subscription list to be
      *        used for cell selection.
      *
-     * \param csgId identity of the subscribed CSG
+     * @param csgId identity of the subscribed CSG
      */
     virtual void SetCsgWhiteList(uint32_t csgId) = 0;
 
     /**
-     * \brief Initiate Idle mode cell selection procedure.
+     * @brief Initiate Idle mode cell selection procedure.
      *
-     * \param dlEarfcn the downlink carrier frequency (EARFCN)
+     * @param dlEarfcn the downlink carrier frequency (EARFCN)
      */
     virtual void StartCellSelection(uint32_t dlEarfcn) = 0;
 
     /**
-     * \brief Force the RRC entity to stay camped on a certain eNodeB.
+     * @brief Force the RRC entity to stay camped on a certain eNodeB.
      *
-     * \param cellId the cell ID identifying the eNodeB
-     * \param dlEarfcn the downlink carrier frequency (EARFCN)
+     * @param cellId the cell ID identifying the eNodeB
+     * @param dlEarfcn the downlink carrier frequency (EARFCN)
      */
     virtual void ForceCampedOnEnb(uint16_t cellId, uint32_t dlEarfcn) = 0;
 
     /**
-     * \brief Tell the RRC entity to enter Connected mode.
+     * @brief Tell the RRC entity to enter Connected mode.
      *
      * If this function is called when the UE is in a situation where connecting
      * is not possible (e.g. before the simulation begin), then the UE will
@@ -63,15 +63,15 @@
     virtual void Connect() = 0;
 
     /**
-     * \brief Send a data packet.
+     * @brief Send a data packet.
      *
-     * \param packet the packet
-     * \param bid the EPS bearer ID
+     * @param packet the packet
+     * @param bid the EPS bearer ID
      */
     virtual void SendData(Ptr<Packet> packet, uint8_t bid) = 0;
 
     /**
-     * \brief Tell the RRC entity to release the connection.
+     * @brief Tell the RRC entity to release the connection.
      */
     virtual void Disconnect() = 0;
 };
@@ -89,12 +89,12 @@
     virtual ~LteAsSapUser();
 
     /**
-     * \brief Notify the NAS that RRC Connection Establishment was successful.
+     * @brief Notify the NAS that RRC Connection Establishment was successful.
      */
     virtual void NotifyConnectionSuccessful() = 0;
 
     /**
-     * \brief Notify the NAS that RRC Connection Establishment failed.
+     * @brief Notify the NAS that RRC Connection Establishment failed.
      */
     virtual void NotifyConnectionFailed() = 0;
 
@@ -106,7 +106,7 @@
     /**
      * receive a data packet
      *
-     * \param packet the packet
+     * @param packet the packet
      */
     virtual void RecvData(Ptr<Packet> packet) = 0;
 };
@@ -122,7 +122,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteAsSapProvider(C* owner);
 
@@ -200,7 +200,7 @@
     /**
      * Constructor
      *
-     * \param owner the owner class
+     * @param owner the owner class
      */
     MemberLteAsSapUser(C* owner);
 
